## dcl 5.0.1-3

=== debian/changelog ===
dcl (5.0.1-3) unstable; urgency=low

  * Merge HTML documents
  * debianization: support for environment without DCLDIR and PATH=.

 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Wed, 20 Jan 1999 18:01:46 +0900

dcl (5.0.1-2) unstable; urgency=low

  * Install directories are chaged to /usr/bin, /usr/lib.  
  * Install texsty 

 -- Takehiro Shin-ichi <takepiro@gfd-dennou.org>  Fri,  6 Nov 1998 14:39:32 +0900

dcl (5.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Takehiro Shin-ichi <takepiro@gfd-dennou.org>  Thu, 29 Oct 1998 14:42:44 +0900

Local variables:
mode: debian-changelog
add-log-mailing-address: "takepiro@gfd-dennou.org"
End:

## dcl 5.0.1-4

=== etc/Makefile ===
#
#       Makefile for etc
#

include ../Mkinclude
 

clean: clean.local

clean.all: clean.local

clean.local:
	$(RM) *~

=== dcl-5.0-html/grph1/Makefile ===
#
#       Makefile for grph1
#

include ../../Mkinclude

EPSDIR		= append

LIBNAME		=  grph1
L2HFLAGS	= auxin=grph1.haux
TEXDIR		= append gaiyou scpack sgpack slpack \
		  stpack supack swpack szpack 
TEXDOC		= grph1.tex 
HTML		= grph1.html 

all: epsfiles grph1.ps

epsfiles:
	@for i in $(EPSDIR) ; do \
	  cd $$i ; \
	  echo "Making $$i epsfiles" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

grph1.ps: grph1.dvi
	$(RM) grph1.ps
	$(DVI2JPS) grph1.dvi > grph1.ps

grph1.dvi: grph1.tex
	$(JLATEX) grph1.tex
	$(JLATEX) grph1.tex

install: $(PSDIR)/grph1.ps

$(PSDIR)/grph1.ps: grph1.ps
	@$(CP) grph1.ps $(PSDIR)/grph1.ps

clean: clean.local clean.dir

clean.local:
	$(RM) *~ *.aux *.dvi *.idx *.log *.toc *.ps

clean.dir:
	$(RM) */*~ */*.aux */*.eps

html.all:
	$(MAKE) clean.html
	@for i in *.tex */*.tex ; do \
	  $(LATEX2HIDX) aux=$(LIBNAME).haux idx=$(LIBNAME).hidx $$i ; \
	done
	$(SORT) $(LIBNAME).hidx | $(HIDX2HTML) $(L2HICONS) \
        title=$(LIBNAME) backto=$(LIBNAME).html > $(LIBNAME)-idx.html
	$(MAKE) html.dir
	$(MAKE) html.local 

html: html.dir html.local

html.local: $(HTML)

html.dir:
	@for i in $(TEXDIR) ; do \
	  cd $$i ; \
	  echo "Making $$i html" ; \
	  $(MAKE) html ; \
	  cd .. ; \
	done

clean.html:
	$(RM) *.html *.haux* *.hidx */*.html

=== dvlop/bswlib/Makefile ===
#
#       Makefile for bswlib
#

include ../../Mkinclude

LIBNAME		= bswlib
LIBFSRCS	= bswp2.f bswp2a.f bswp4.f bswp4a.f
LIBCSRCS	= 
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= bswp2.o bswp2a.o bswp4.o bswp4a.o
LIBCOBJS	= 
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


all: $(LIBOBJS)

install: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(DCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(DCLLIBFILE)

pack: $(LIBNAME).all

$(LIBNAME).all: $(LIBSRCS) LIBLIST HEADER
	@$(LBINDIR)/libpack $(LIBNAME).all

clean:
	$(RM) *.o *~ $(LIBNAME).all

=== dcl-5.0-html/etc/gaiyou/Makefile ===
#
#       Makefile for etc/gaiyou
#

include ../../../Mkinclude

LIBNAME		= gaiyou
L2HFLAGS	= refdir=.. curdir=gaiyou backto=../etc.html \
		  auxin=../etc.haux
TEXDOC		= gaiyou.tex 
HTML		= gaiyou.html 

html: $(HTML)

=== dcl-5.0-html/gokuraku/jump/Makefile ===
#
#       Makefile for gokuraku/jump
#

include ../../../Mkinclude

LIBOBJS		= jump1     jump2
EPSFILES	= jump1.eps jump2.eps

GIFFILES	= jump1.gif jump2.gif

LIBNAME		= jump
L2HFLAGS	= refdir=.. curdir=jump backto=../gokuraku.html \
		  auxin=../gokuraku.haux
TEXDOC		= jump.tex 
HTML		= jump.html 


all: mkobj $(EPSFILES) rmobj

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)

jump1.eps:
	echo 2 | jump1 -sw:fname=jump1
	$(LBINDIR)/sgksrot jump1.ps > jump1.eps
	$(RM) jump1.ps

jump2.eps:
	echo 2 | jump2 -sw:fname=jump2
	$(LBINDIR)/sgksrot jump2.ps > jump2.eps
	$(RM) jump2.ps

html: $(HTML) $(GIFFILES) rmobj

clean.html: 
	$(RM) $(HTML) $(GIFFILES)

jump1.gif: jump1.f
	$(MAKE) jump1
	echo 1 | ./jump1 -sg:lcorner=.false. \
	-sw:iwidth=$(GIFWIDTH) -sw:iheight=$(GIFHEIGHT) \
	-sw:iposx=$(GIFPOSX) -sw:iposy=$(GIFPOSY) \
        -sw:ldump=.true. -sw:lwait=.false. -sw:lwait1=.false. 
	$(XWD2PPM) dcl_001.xwd | $(PPM2GIF) >$@
	$(RM) dcl_001.xwd

jump2.gif: jump2.f
	$(MAKE) jump2
	echo 1 | ./jump2 -sg:lcorner=.false. \
	-sw:iwidth=$(GIFWIDTH) -sw:iheight=$(GIFHEIGHT) \
	-sw:iposx=$(GIFPOSX) -sw:iposy=$(GIFPOSY) \
        -sw:ldump=.true. -sw:lwait=.false. -sw:lwait1=.false. 
	$(XWD2PPM) dcl_001.xwd | $(PPM2GIF) >$@
	$(RM) dcl_001.xwd

=== dcl-5.0-html/gokuraku/layout/Makefile ===
#
#       Makefile for gokuraku/layout
#

include ../../../Mkinclude

LIBOBJS		= lay1 lay2 
EPSFILES	= lay1_001.eps lay1_002.eps lay2.eps

GIFFILES	= lay1_001.gif lay1_002.gif lay2.gif

LIBNAME		= layout
L2HFLAGS	= refdir=.. curdir=layout backto=../gokuraku.html \
		  auxin=../gokuraku.haux
TEXDOC		= layout.tex 
HTML		= layout.html 

all: mkobj $(EPSFILES) rmobj

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)

lay1_001.eps:
	echo 2 | lay1 -sw:fname=lay1 -sw:lsep=.true.
	$(LBINDIR)/sgksrot lay1_001.ps > lay1_001.eps
	$(RM) lay1_001.ps

lay1_002.eps: lay1_001.eps
	$(LBINDIR)/sgksrot lay1_002.ps > lay1_002.eps
	$(RM) lay1_002.ps

lay2.eps:
	echo 2 | lay2 -sw:fname=lay2
	$(LBINDIR)/sgksrot lay2.ps > lay2.eps
	$(RM) lay2.ps

html: $(HTML) $(GIFFILES) rmobj

clean.html: 
	$(RM) $(HTML) $(GIFFILES)

lay1_001.gif: lay1.f
	$(MAKE) lay1
	echo 1 | ./lay1 -sg:lcorner=.false. \
	-sw:iwidth=$(GIFWIDTH) -sw:iheight=$(GIFHEIGHT) \
	-sw:iposx=$(GIFPOSX) -sw:iposy=$(GIFPOSY) \
        -sw:ldump=.true. -sw:lwait=.false. -sw:lwait1=.false. 
	$(XWD2PPM) dcl_001.xwd | $(PPM2GIF) >$@
	$(RM) dcl_001.xwd

lay1_002.gif: lay1_001.gif
	$(XWD2PPM) dcl_002.xwd | $(PPM2GIF) >$@
	$(RM) dcl_002.xwd

lay2.gif: lay2.f
	$(MAKE) lay2
	echo 1 | ./lay2 -sg:lcorner=.false. \
	-sw:iwidth=$(GIFWIDTH) -sw:iheight=$(GIFHEIGHT) \
	-sw:iposx=$(GIFPOSX) -sw:iposy=$(GIFPOSY) \
        -sw:ldump=.true. -sw:lwait=.false. -sw:lwait1=.false. 
	$(XWD2PPM) dcl_001.xwd | $(PPM2GIF) >$@
	$(RM) dcl_001.xwd

=== dcl-5.0-html/gokuraku/step/Makefile ===
#
#       Makefile for gokuraku/step
#

include ../../../Mkinclude

LIBOBJS		= step1     step2
EPSFILES	= step1.eps step2.eps

GIFFILES	= step1.gif step2.gif

LIBNAME		= step
L2HFLAGS	= refdir=.. curdir=step backto=../gokuraku.html \
		  auxin=../gokuraku.haux
TEXDOC		= step.tex 
HTML		= step.html 


all: mkobj $(EPSFILES) rmobj

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)

step1.eps:
	echo 2 | step1 -sw:fname=step1
	$(LBINDIR)/sgksrot step1.ps > step1.eps
	$(RM) step1.ps

step2.eps:
	echo 2 | step2 -sw:fname=step2
	$(LBINDIR)/sgksrot step2.ps > step2.eps
	$(RM) step2.ps

html: $(HTML) $(GIFFILES) rmobj

clean.html: 
	$(RM) $(HTML) $(GIFFILES)

step1.gif: step1.f
	$(MAKE) step1
	echo 1 | ./step1 -sg:lcorner=.false. \
	-sw:iwidth=$(GIFWIDTH) -sw:iheight=$(GIFHEIGHT) \
	-sw:iposx=$(GIFPOSX) -sw:iposy=$(GIFPOSY) \
        -sw:ldump=.true. -sw:lwait=.false. -sw:lwait1=.false. 
	$(XWD2PPM) dcl_001.xwd | $(PPM2GIF) >$@
	$(RM) dcl_001.xwd

step2.gif: step2.f
	$(MAKE) step2
	echo 1 | ./step2 -sg:lcorner=.false. \
	-sw:iwidth=$(GIFWIDTH) -sw:iheight=$(GIFHEIGHT) \
	-sw:iposx=$(GIFPOSX) -sw:iposy=$(GIFPOSY) \
        -sw:ldump=.true. -sw:lwait=.false. -sw:lwait1=.false. 
	$(XWD2PPM) dcl_001.xwd | $(PPM2GIF) >$@
	$(RM) dcl_001.xwd

=== dcl-5.0-html/grph1/sgpack/Makefile ===
#
#       Makefile for grph1/sgpack
#

include ../../../Mkinclude

LIBNAME		= sgpack
L2HFLAGS	= refdir=.. curdir=sgpack backto=../grph1.html \
		  auxin=../grph1.haux
TEXDOC		= arrow.tex cntl.tex csgi.tex intro.tex line.tex \
		  list.tex ntrf.tex pline.tex pmark.tex ptrf.tex \
		  text.tex tone.tex 
HTML		= arrow.html cntl.html csgi.html intro.html line.html \
		  list.html ntrf.html pline.html pmark.html ptrf.html \
		  text.html tone.html 

html: $(HTML)

=== dcl-5.0-html/grph1/slpack/Makefile ===
#
#       Makefile for grph1/slpack
#

include ../../../Mkinclude

LIBNAME		= slpack
L2HFLAGS	= refdir=.. curdir=slpack backto=../grph1.html \
		  auxin=../grph1.haux
TEXDOC		= slintro.tex slmain.tex 
HTML		= slintro.html slmain.html 

html: $(HTML)

=== dcl-5.0-html/grph1/stpack/Makefile ===
#
#       Makefile for grph1/stpack
#

include ../../../Mkinclude

LIBNAME		= stpack
L2HFLAGS	= refdir=.. curdir=stpack backto=../grph1.html \
		  auxin=../grph1.haux
TEXDOC		= intro.tex stpack.tex 
HTML		= intro.html stpack.html 

html: $(HTML)

=== dcl-5.0-html/math1/rfblib/Makefile ===
#
#       Makefile for math1/rfblib
#

include ../../../Mkinclude

LIBNAME		= rfblib
L2HFLAGS	= refdir=.. curdir=rfblib backto=../math1.html \
		  auxin=../math1.haux
TEXDOC		= rfblib.tex 
HTML		= rfblib.html 

html: $(HTML)

=== dcl-5.0-html/math1/vialib/Makefile ===
#
#       Makefile for math1/vialib
#

include ../../../Mkinclude

LIBNAME		= vialib
L2HFLAGS	= refdir=.. curdir=vialib backto=../math1.html \
		  auxin=../math1.haux
TEXDOC		= vialib.tex 
HTML		= vialib.html 

html: $(HTML)

=== debian/changelog ===
dcl (5.0.1-4) unstable; urgency=low

  * Dstyle.sty 'chapter' bug with platex fixed.

 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Wed, 24 Feb 1999 18:23:52 +0900

=== debian/control ===
Source: dcl
Section: x11
Priority: optional
Maintainer: Takehiro Shin-ichi <takepiro@gfd-dennou.org>
Standards-Version: 2.4.1

Package: dcl
Architecture: i386
Depends: ${shlibs:Depends}
Description: GFD Dennou Club Library
 Please visit http://www.gfd-dennou.org/ (Japanese)

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=dcl

build:
	$(checkdir)
	
	make PATH=${PATH}:. DCLDIR=`pwd`
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean.all
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DCLDIR=`pwd`
	DCLDIR=`pwd`;  cd dvlop/pslib;  make install DCLDIR=$$DCLDIR
	cp -r etc/texsty/*.sty etc/texsty/epsf.tex etc/texsty/ps debian/tmp/usr/lib/texmf/tex/generic/dcl/
	cp CREDITS.tex HISTORY.tex OLD_HISTORY STATUS README.DCL debian/tmp/usr/doc/dcl
	cp BUGS NOTE.4to5 To.Dvlop To.Users INSTALL Mkinclude debian/tmp/usr/doc/dcl
	cp -r dcl-5.0-html debian/tmp/usr/doc/dcl/
	cp -r doc demo debian/tmp/usr/doc/dcl/
	cp -r etc/check/* debian/tmp/usr/doc/dcl/etc/check
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd BUGS README.DCL 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## dcl 5.1.j

=== f2csrc/Makefile ===
#
# Makefile for f2c library
#

include ../Mkinclude

LIBNAME		=libf2c
LIBSRC		=close.o dolio.o ef1asc_.o ef1cmc_.o endfile.o f77vers.o fmt.o getarg_.o\
		i77vers.o i_indx.o i_len.o i_nint.o i_sign.o iargc_.o iio.o inquire.o lread.o\
		open.o pow_dd.o pow_di.o pow_ri.o r_lg10.o r_sign.o rewind.o sfe.o sue.o uio.o\
		wsfe.o wsle.o\
		abort_.o backspac.o dfe.o err.o ilnw.o\
		hl_ge.o hl_gt.o hl_le.o hl_lt.o	l_ge.o l_gt.o l_le.o l_lt.o\
		main.o pow_ii.o r_mod.o rsfe.o rsne.o s_cat.o\
		s_cmp.o s_copy.o s_stop.o selfile.o wsne.o\
		c_div.o f77_aloc.o getenv_.o lwrite.o rdfmt.o rsli.o\
		sig_die.o system_.o util.o wref.o wrtfmt.o xwsne.o z_div.o\
		fmtlib.o exit_.o\
		f77vers.c i77vers.c 

# If you get an error compiling dtime_.c or etime_.c, try adding
# -DUSE_CLOCK to the CFLAGS assignment above; if that does not work,
# omit $(TIME) from the dependency list for libf2c.a below.

# For INTEGER*8 support (which requires system-dependent adjustments to
# f2c.h), add $(QINT) to the libf2c.a dependency list below...

all: f2c.h signal1.h $(LIBNAME).a install

$(LIBNAME).a: $(LIBSRC) 
	ar r $(LIBNAME).a $?
	-ranlib $(LIBNAME).a

# To get an "f2c.h" for use with "f2c -C++", first "make hadd"
hadd: f2c.h0 f2ch.add
	cat f2c.h0 f2ch.add >f2c.h

# For use with "f2c" and "f2c -A":
f2c.h: f2c.h0
	cp f2c.h0 f2c.h

# You may need to adjust signal1.h suitably for your system...
signal1.h: signal1.h0
	cp signal1.h0 signal1.h

main.o: main.c
	$(CC) -c -D$(IF_ONEXIT) -DSkip_f2c_Undefs main.c

install: $(LIBNAME).a
	cp f2c.h $(DCLDIR)/f2clib
	cp $(LIBNAME).a $(DCLDIR)/f2clib
	-ranlib $(DCLDIR)/f2clib/$(LIBNAME).a


pack: 
	@echo "no packed file for f2c library"

clean.all: clean

clean:
	$(RM) $(LIBNAME).a *.o *~ *.ps core *.trace
	$(RM) $(DCLDIR)/f2clib/f2c.h $(DCLDIR)/f2clib/$(LIBNAME).a

backspac.o:	fio.h
close.o:	fio.h
dfe.o:		fio.h
dfe.o:		fmt.h
due.o:		fio.h
endfile.o:	fio.h rawio.h
err.o:		fio.h rawio.h
fmt.o:		fio.h
fmt.o:		fmt.h
iio.o:		fio.h
iio.o:		fmt.h
ilnw.o:		fio.h
ilnw.o:		lio.h
inquire.o:	fio.h
lread.o:	fio.h
lread.o:	fmt.h
lread.o:	lio.h
lread.o:	fp.h
lwrite.o:	fio.h
lwrite.o:	fmt.h
lwrite.o:	lio.h
open.o:		fio.h rawio.h
rdfmt.o:	fio.h
rdfmt.o:	fmt.h
rdfmt.o:	fp.h
rewind.o:	fio.h
rsfe.o:		fio.h
rsfe.o:		fmt.h
rsli.o:		fio.h
rsli.o:		lio.h
rsne.o:		fio.h
rsne.o:		lio.h
sfe.o:		fio.h
sue.o:		fio.h
uio.o:		fio.h
util.o:		fio.h
wref.o:		fio.h
wref.o:		fmt.h
wref.o:		fp.h
wrtfmt.o:	fio.h
wrtfmt.o:	fmt.h
wsfe.o:		fio.h
wsfe.o:		fmt.h
wsle.o:		fio.h
wsle.o:		fmt.h
wsle.o:		lio.h
wsne.o:		fio.h
wsne.o:		lio.h
xwsne.o:	fio.h
xwsne.o:	lio.h
xwsne.o:	fmt.h

=== demo/grph1/sgpack/Makefile ===
#
#       Makefile for sgpack (demo)
#

include ../../../Mkinclude

LIBNAME		= sgpack
LIBSRCS		= sgfont.f sgfonz.f sgksx1.f sgksx2.f sgksx3.f sglidx.f \
		  sgltyp.f sgpk01.f sgpk02.f sgpk03.f sgpk04.f sgpk05.f \
		  sgpk06.f sgpk07.f sgpk08.f sgpk09.f sgpk10.f sgtclr.f \
		  sgtone.f sgtonz.f
LIBDEMO		= sgfont   sgfonz   sgksx1   sgksx2   sgksx3   sglidx   \
		  sgltyp   sgpk01   sgpk02   sgpk03   sgpk04   sgpk05   \
		  sgpk06   sgpk07   sgpk08   sgpk09   sgpk10   sgtclr   \
		  sgtone   sgtonz


all: $(LIBDEMO)

pack: $(LIBNAME).all

$(LIBNAME).all: $(LIBSRCS) LIBLIST HEADER
	@$(LBINDIR)/libpack $(LIBNAME).all

clean:
	$(RM) $(LIBDEMO) *.o *~ $(LIBNAME).all *.ps core *.trace

=== demo/math1/vralib/Makefile ===
#
#       Makefile for vralib (demo)
#

include ../../../Mkinclude

LIBNAME		= vralib
LIBSRCS		= vral01.f vral02.f
LIBDEMO 	= vral01   vral02


all: $(LIBDEMO)

pack: $(LIBNAME).all

$(LIBNAME).all: $(LIBSRCS) LIBLIST HEADER
	@$(LBINDIR)/libpack $(LIBNAME).all

clean:
	$(RM) $(LIBDEMO) *.o *~ $(LIBNAME).all core *.trace

=== src/env1/bitmap/Makefile ===
#
#       Makefile for bitmap
#

include ../../../Mkinclude


all: bitmap.x11

bitmap.x11: bmcx11 bitm16z.asc
	@echo "Creating bitmap file bitmap.x11"
	@echo "'bitm16z.asc' 'bitmap.x11'" | ./bmcx11

bmcx11: bmcx11.c
	$(CC) $(CFLAGS)  -o bmcx11 bmcx11.c -lm $(LIBF2C)

install: $(DBASEDIR)/bitmap.x11

$(DBASEDIR)/bitmap.x11: bitmap.x11
	@echo "Installing bitmap file bitmap.x11"
	@$(CP) bitmap.x11 $(DBASEDIR)/bitmap.x11

pack: bitmap.all

bitmap.all: bmcx11.c bitm16z.asc
	@$(CAT) bmcx11.c bitm16z.asc > bitmap.all
	@echo "packed file bitmap.all is created."

clean:
	$(RM) *.o *~ bmcx11 bitmap.x11 bitmap.all

=== src/env1/colormap/Makefile ===
#
#       Makefile for colormap
#

include ../../../Mkinclude


all: colormap.x11

colormap.x11: cmap02
	@echo "Creating colormap file colormap.x11"
	@./cmap02 > colormap.x11

cmap02: cmap02.c
	$(CC) $(CFLAGS)  -o cmap02 cmap02.c -lm $(LIBF2C)

colormap0.x11: cvcmap namedclr
	@echo "Creating colormap file colormap0.x11"
	@$(CAT) namedclr | ./cvcmap | $(CAT) > colormap0.x11

cvcmap: cvcmap.c
	$(CC) $(CFLAGS) -o cvcmap cvcmap.c $(XLIBPATH) $(XLIBOPT)

colormap1.x11: cmap01
	@echo "Creating colormap file colormap1.x11"
	@./cmap01 > colormap1.x11

cmap01: cmap01.c
	$(CC) $(CFLAGS)  -o cmap01 cmap01.c -lm $(LIBF2C)

install: $(DBASEDIR)/colormap.x11

$(DBASEDIR)/colormap.x11: colormap.x11
	@echo "Installing colormap file colormap.x11"
	@$(CP) colormap.x11 $(DBASEDIR)/colormap.x11

pack: colormap.all

colormap.all: cvcmap.c namedclr
	@$(CAT) cvcmap.c namedclr > colormap.all
	@echo "packed file colormap.all is created."

clean:
	$(RM) *.o *~ cmap0? cvcmap core a.out colormap.x11 colormap?.x11 colormap.all

=== src/env1/fonts/Makefile ===
#
#       Makefile for fonts
#

include ../../../Mkinclude


all: font1u font2u

font1u: cvfont font1n
	@echo "Creating font file font1u"
	@echo "'font1n' 'font1u'" | ./cvfont

font2u: cvfont font2n
	@echo "Creating font file font2u"
	@echo "'font2n' 'font2u'" | ./cvfont

cvfont: cvfont.c
	$(CC) $(CFLAGS)  -o cvfont cvfont.c -lm $(LIBF2C)

install: $(DBASEDIR)/font1u $(DBASEDIR)/font2u

$(DBASEDIR)/font1u: font1u
	@echo "Installing font file font1u"
	@$(CP) font1u $(DBASEDIR)/font1u

$(DBASEDIR)/font2u: font2u
	@echo "Installing font file font2u"
	@$(CP) font2u $(DBASEDIR)/font2u

pack: fonts.all

fonts.all: cvfont.c font1n font2n
	@$(CAT) cvfont.c font1n font2n > fonts.all
	@echo "packed file bitmap.all is created."

clean:
	$(RM) *.o *~ cvfont core font1u font2u fonts.all

=== src/env1/mapdata/Makefile ===
#
#       Makefile for mapdata
#

include ../../../Mkinclude

MAPDATAF	= coast_world.asc           border_world.asc         \
		  plate_world.asc           state_usa.asc            \
		  coast_japan.asc           pref_japan.asc
MAPDATAB	= coast_world               border_world             \
		  plate_world               state_usa                \
		  coast_japan               pref_japan
MAPDATAI	= $(DBASEDIR)/coast_world   $(DBASEDIR)/border_world \
		  $(DBASEDIR)/plate_world   $(DBASEDIR)/state_usa    \
		  $(DBASEDIR)/coast_japan   $(DBASEDIR)/pref_japan
MAPDATAFR	= coast_world_1.asc
MAPDATABR	= coast_world_1
MAPDATAIR	= $(DBASEDIR)/coast_world_1

CVMAPD		= ./cvmapd
RMAPD1		= ./rmapd1


all: $(MAPDATAB) $(MAPDATABR)

coast_world: coast_world.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

coast_world_1: coast_world_1.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

border_world: border_world.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

plate_world: plate_world.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

state_usa: state_usa.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

coast_japan: coast_japan.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

pref_japan: pref_japan.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

$(CVMAPD): $(CVMAPD).c
	$(CC) $(CFLAGS)  -o $(CVMAPD) $(CVMAPD).c -lm $(LIBF2C)

coast_world_1.asc: coast_world.asc $(RMAPD1)
	@echo "Creating sub-map data $@"
	@$(RM) $@
	@echo "'coast_world.asc' 'coast_world_1.asc'" | $(RMAPD1)

$(RMAPD1): $(RMAPD1).c
	$(CC) $(CFLAGS)  -o $(RMAPD1) $(RMAPD1).c -lm $(LIBF2C)

install: $(MAPDATAI) $(MAPDATAIR)

$(DBASEDIR)/coast_world: coast_world
	@echo "Installing map file $?"
	@$(CP) $? $@

$(DBASEDIR)/border_world: border_world
	@echo "Installing map file $?"
	@$(CP) $? $@

$(DBASEDIR)/plate_world: plate_world
	@echo "Installing map file $?"
	@$(CP) $? $@

$(DBASEDIR)/state_usa: state_usa
	@echo "Installing map file $?"
	@$(CP) $? $@

$(DBASEDIR)/coast_japan: coast_japan
	@echo "Installing map file $?"
	@$(CP) $? $@

$(DBASEDIR)/pref_japan: pref_japan
	@echo "Installing map file $?"
	@$(CP) $? $@

$(DBASEDIR)/coast_world_1: coast_world_1
	@echo "Installing map file $?"
	@$(CP) $? $@

pack: mapdata.pack

mapdata.pack: $(CVMAPD) $(RMAPD1) $(MAPDATAF)
	@$(CAT) $(CVMAPD) $(RMAPD1) $(MAPDATAF) > mapdata.pack
	@echo "packed file mapdata.pack is created."

clean:
	$(RM) *.o *~ $(CVMAPD) $(RMAPD1) core mapdata.pack \
	$(MAPDATAB) $(MAPDATABR) $(MAPDATAFR)

=== src/env2/dclclr/Makefile ===
#
#       Makefile for dclclr
#

include ../../../Mkinclude


all: dclclr

dclclr: dclclr.c
	$(LBINDIR)/$(DCLCC)  -o dclclr dclclr.c

install: $(BINDIR)/dclclr

$(BINDIR)/dclclr: dclclr
	@echo "Installing executable program dclclr"
	@$(CP) dclclr $(BINDIR)/dclclr

pack: dclclr.all

dclclr.all: dclclr.c
	@$(CP) dclclr.c dclclr.all
	@echo "packed file dclclr.all is created."

clean:
	$(RM) *.o *~ dclclr core dclclr.all

=== src/env2/dcldate/Makefile ===
#
#       Makefile for dcldate
#

include ../../../Mkinclude


all: dcldate

dcldate: dcldate.c
	$(LBINDIR)/$(DCLCC)  -o dcldate dcldate.c

install: $(BINDIR)/dcldate

$(BINDIR)/dcldate: dcldate
	@echo "Installing executable program dcldate"
	@$(CP) dcldate $(BINDIR)/dcldate

pack: dcldate.all

dcldate.all: dcldate.c
	@$(CP) dcldate.c dcldate.all
	@echo "packed file dcldate.all is created."

clean:
	$(RM) *.o *~ dcldate core dcldate.all

=== src/env2/dcldbs/Makefile ===
#
#       Makefile for dcldbs
#

include ../../../Mkinclude


all: dcldbs

dcldbs: dcldbs.c
	$(LBINDIR)/$(DCLCC)  -o dcldbs dcldbs.c

install: $(BINDIR)/dcldbs

$(BINDIR)/dcldbs: dcldbs
	@echo "Installing executable program dcldbs"
	@$(CP) dcldbs $(BINDIR)/dcldbs

pack: dcldbs.all

dcldbs.all: dcldbs.c
	@$(CP) dcldbs.c dcldbs.all
	@echo "packed file dcldbs.all is created."

clean:
	$(RM) *.o *~ dcldbs core dcldbs.all

=== src/env2/dclfont/Makefile ===
#
#       Makefile for dclfont
#

include ../../../Mkinclude


all: dclfont

dclfont: dclfont.c
	$(LBINDIR)/$(DCLCC)  -o dclfont dclfont.c

install: $(BINDIR)/dclfont

$(BINDIR)/dclfont: dclfont
	@echo "Installing executable program dclfont"
	@$(CP) dclfont $(BINDIR)/dclfont

pack: dclfont.all

dclfont.all: dclfont.c
	@$(CP) dclfont.c dclfont.all
	@echo "packed file dclfont.all is created."

clean:
	$(RM) *.o *~ dclfont core dclfont.all

=== src/env2/dclpara/Makefile ===
#
#       Makefile for dclpara
#

include ../../../Mkinclude


all: dclpara

dclpara: dclpara.c
	$(LBINDIR)/$(DCLCC)  -o dclpara dclpara.c

install: $(BINDIR)/dclpara

$(BINDIR)/dclpara: dclpara
	@echo "Installing executable program dclpara"
	@$(CP) dclpara $(BINDIR)/dclpara

pack: dclpara.all

dclpara.all: dclpara.c
	@$(CP) dclpara.c dclpara.all
	@echo "packed file dclpara.all is created."

clean:
	$(RM) *.o *~ dclpara core dclpara.all

## dcl 5.3

=== bin/Makefile ===
#
#       Makefile for bin
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

LIBSRCS 	= $(DCLCONFVER) $(DCLFRT) $(DCLCC)
INSTSRC		= dcldate$(EXT) dclver$(EXT) dclexec$(EXT) dcltrf$(EXT) \
		  dclclr$(EXT)  dcldbs$(EXT) dclfont$(EXT) dclpara$(EXT) \
		  dcltone$(EXT) dclcmap$(EXT) repsl$(EXT) \
		  dclps2kdraw	dclpscat	dclpsfix \
		  dclpsfont	dclpsline	dclpsmargin \
		  dclpsmerge	dclpsnup	dclpsrmcm \
		  dclpsrot	dclpsselect	dclpsseparate \
		  dclpsunrot


all: $(DCLCONFVER) $(DCLFRT) $(DCLCC)

$(DCLCONFVER): dclconfig.org
	@echo "Making shell script $(DCLCONFVER)"
	@$(SED) \
	     -e 's!@prefix@!$(prefix)!' \
	     -e 's!@DCLVERSION@!$(DCLVERSION)!' \
	     -e 's!@DCLVERNUM@!$(DCLVERNUM)!' \
	     -e 's!@DCLLANG@!$(DCLLANG)!' \
	     -e 's!@BINDIR@!$(BINDIR)!' \
	     -e 's!@LIBDIR@!$(LIBDIR)!' \
	     -e 's!@INCDIR@!$(INCDIR)!' \
	     -e 's!@DCLLIBNAME@!$(DCLLIBNAME)!' \
	     -e 's!@DCLLIBFILE@!$(DCLLIBFILE)!' \
	     -e 's!@DCLLIBOPT@!$(DCLLIBOPT)!' \
	     -e 's!@DCLLIBPATH@!$(DCLLIBPATH)!' \
	     -e 's!@DBASENAME@!$(DBASENAME)!' \
	     -e 's!@DBASEDIR@!$(DBASEDIR)!' \
	     -e 's!@XINCPATH@!$(XINCPATH)!' \
	     -e 's!@XLIBPATH@!$(XLIBPATH)!' \
	     -e 's!@XLIBOPT@!$(XLIBOPT)!' \
	     -e 's!@CC@!$(CC)!' \
	     -e 's!@CFLAGS@!$(CFLAGS)!' \
	     -e 's!@FC@!$(FC)!' \
	     -e 's!@FFLAGS@!$(FFLAGS)!' \
	     -e 's!@LDFLAGS@!$(LDFLAGS)!' \
	     -e 's!@LDLIBS@!$(LDLIBS)!' \
	     -e 's!@GTKVERSION@!$(GTKVERSION)!' \
	         dclconfig.org > $(DCLCONFVER)
	@chmod +x $(DCLCONFVER)

$(DCLFRT): dclfrt.org
	@echo "Making shell script $(DCLFRT)"
	@sed -e 's!@PATH@!$(BINDIR)!' dclfrt.org > $(DCLFRT)
	@chmod +x $(DCLFRT)

$(DCLCC): dclcc.org
	@echo "Making shell script $(DCLCC)"
	@sed -e 's!@PATH@!$(BINDIR)!' dclcc.org > $(DCLCC)
	@chmod +x $(DCLCC)

install:
	@-if (test $(BINDIR) != $(LBINDIR)) then \
	$(CP) $(LIBSRCS) $(INSTSRC) $(BINDIR); fi
	$(RM) $(BINDIR)/$(DCLCONFIG)
	ln -s $(DCLCONFVER) $(BINDIR)/$(DCLCONFIG)

clean:
	$(RM) *~

distclean:
	$(RM) *~ $(INSTSRC) $(DCLCONFIG) $(DCLCONFVER) $(DCLFRT) $(DCLCC)

=== src/env1/cl2tnmap/Makefile ===
#
#       Makefile for cl2tnmap
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude


all: $(LDBASEDIR)/cl2tnmap

$(LDBASEDIR)/cl2tnmap: cl2tnmap
	@echo "Installing color-tone conversion table cl2tnmap into local dcldbase directory"
	@$(CP) cl2tnmap $(LDBASEDIR)/cl2tnmap

clean:
	$(RM) *.o *~

=== src/math2/odelib/Makefile ===
#
#       Makefile for odelib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= odelib
LIBFSRCS	= odrk1.f  odrk2.f  odrk4.f  odrk4r.f odrk4s.f odrkdu.f \
		  odrkdv.f odrkg.f  odrkgr.f odrkgs.f odpget.f odpqnp.f \
		  odiget.f odiqnp.f odlget.f odlqnp.f odrget.f odrqnp.f

LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= odrk1.o  odrk2.o  odrk4.o  odrk4r.o odrk4s.o odrkdu.o \
		  odrkdv.o odrkg.o  odrkgr.o odrkgs.o odpget.o odpqnp.o \
		  odiget.o odiqnp.o odlget.o odlqnp.o odrget.o odrqnp.o

LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

## dcl 5.3-1

=== src/misc1/Makefile ===
#
#       Makefile for misc1
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= bitlib chglib chklib chnlib datelib fmtlib misclib \
		  timelib $(MISC1EXT)


object:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library: archive ranlib

archive:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Archiving $$i" ; \
	  $(MAKE) archive ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/grph2/ulpack/Makefile ===
#
#       Makefile for ulpack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ulpack
LIBSRCS		= ulpk01.f     ulpk02.f
LIBDEMO 	= ulpk01       ulpk02
LIBEXEC 	= ulpk01$(EXT) ulpk02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/misc1/bitlib/Makefile ===
#
#       Makefile for bitlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= bitlib
LIBSRCS		= bitl01.f
LIBDEMO 	= bitl01
LIBEXEC 	= bitl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/rakuraku/kihon/Makefile ===
#
#       Makefile for kihon (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= kihon
LIBSRCS		= kihon1.f     kihon2.f     kihon3.f     kihon4.f     \
		  kihon5.f     kihon6.f     kihon7.f     kihon8.f     \
		  kihon9.f     kihona.f     kihonb.f     kihonc.f
LIBDEMO		= kihon1       kihon2       kihon3       kihon4       \
		  kihon5       kihon6       kihon7       kihon8       \
		  kihon9       kihona       kihonb       kihonc
LIBEXEC		= kihon1$(EXT) kihon2$(EXT) kihon3$(EXT) kihon4$(EXT) \
		  kihon5$(EXT) kihon6$(EXT) kihon7$(EXT) kihon8$(EXT) \
		  kihon9$(EXT) kihona$(EXT) kihonb$(EXT) kihonc$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== src/env1/colormap/Makefile ===
#
#       Makefile for colormap
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

CMAPFILE0	= colormap.x11
CMAPLIST	= cmaplist
CMAPFILES	= colormap_01.x11              colormap_02.x11 \
		  colormap_03.x11              colormap_04.x11 \
		  colormap_05.x11              colormap_06.x11 \
		  colormap_07.x11              colormap_08.x11 \
		  colormap_09.x11              colormap_10.x11 \
		  colormap_11.x11              colormap_12.x11 \
		  colormap_13.x11
LCMAPFILE0	= $(LDBASEDIR)/colormap.x11
LCMAPLIST	= $(LDBASEDIR)/cmaplist
LCMAPFILES	= $(LDBASEDIR)/colormap_01.x11 $(LDBASEDIR)/colormap_02.x11 \
		  $(LDBASEDIR)/colormap_03.x11 $(LDBASEDIR)/colormap_04.x11 \
		  $(LDBASEDIR)/colormap_05.x11 $(LDBASEDIR)/colormap_06.x11 \
		  $(LDBASEDIR)/colormap_07.x11 $(LDBASEDIR)/colormap_08.x11 \
		  $(LDBASEDIR)/colormap_09.x11 $(LDBASEDIR)/colormap_10.x11 \
		  $(LDBASEDIR)/colormap_11.x11 $(LDBASEDIR)/colormap_12.x11 \
		  $(LDBASEDIR)/colormap_13.x11


all: $(LCMAPFILE0) $(LCMAPLIST) $(LCMAPFILES)

$(LDBASEDIR)/colormap.x11: colormap.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/cmaplist: cmaplist
	@echo "Installing colormap list $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_01.x11: colormap_01.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_02.x11: colormap_02.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_03.x11: colormap_03.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_04.x11: colormap_04.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_05.x11: colormap_05.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_06.x11: colormap_06.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_07.x11: colormap_07.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_08.x11: colormap_08.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_09.x11: colormap_09.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_10.x11: colormap_10.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_11.x11: colormap_11.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_12.x11: colormap_12.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_13.x11: colormap_13.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

colormap0.x11: cvcmap namedclr
	@echo "Creating colormap file colormap0.x11"
	@$(CAT) namedclr | ./cvcmap | $(CAT) > colormap0.x11

cvcmap: cvcmap.c
	$(CC) $(CFLAGS) -o cvcmap cvcmap.c $(XLIBPATH) $(XLIBOPT)

colormap1.x11: cmap01
	@echo "Creating colormap file colormap1.x11"
	@./cmap01 > colormap1.x11

cmap01: cmap01.f
	$(FC) $(FFLAGS) -o cmap01 cmap01.f

colormap2.x11: cmap02
	@echo "Creating colormap file colormap2.x11"
	@./cmap02 > colormap.x11

cmap02: cmap02.f
	$(FC) $(FFLAGS) -o cmap02 cmap02.f

clean:
	$(RM) *.o *~ cmap01$(EXT) cmap02$(EXT) cvcmap$(EXT) core a.out colormap?.x11

=== src/grph2/uxpack/Makefile ===
#
#       Makefile for uxpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uxpack
LIBFSRCS	= uxptmz.f uxplba.f uxplbb.f uxsaxz.f uxsaxs.f uxsoff.f \
		  uxpaxs.f uxptmk.f uxplbl.f uxpnum.f uxpttl.f uxaxlb.f \
		  uxaxnm.f uxaxdv.f uxmttl.f uxsttl.f luxchk.f uxsfmt.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uxptmz.o uxplba.o uxplbb.o uxsaxz.o uxsaxs.o uxsoff.o \
		  uxpaxs.o uxptmk.o uxplbl.o uxpnum.o uxpttl.o uxaxlb.o \
		  uxaxnm.o uxaxdv.o uxmttl.o uxsttl.o luxchk.o uxsfmt.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/tmp-util/usr/share/doc/dcl-util/dvlop/Makefile ===
#
#       Makefile for dvlop
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

SUBDIRS		= bswlib cielib old-pslib pslib
DIRSINST	= pslib


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

install:
	@for i in $(DIRSINST) ; do \
	  cd $$i ; \
	  echo "Archiving $$i" ; \
	  $(MAKE) install ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.all: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== debian/tmp-util/usr/share/doc/dcl-util/demo/math2/Makefile ===
#
#       Makefile for math2
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= fftlib intrlib rnmlib vstlib


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== debian/tmp-util/usr/share/doc/dcl-util/demo/grph2/umpack/Makefile ===
#
#       Makefile for umpack (demo)
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= umpack
LIBSRCS		= test01.f test02.f test03.f test04.f test05.f test06.f \
		  test07.f test08.f umpk01.f umpk02.f umpk03.f umpk04.f \
		  umpk05.f
LIBDEMO		= test01   test02   test03   test04   test05   test06   \
		  test07   test08   umpk01   umpk02   umpk03   umpk04   \
		  umpk05  


all: $(LIBDEMO)

clean:
	$(RM) $(LIBDEMO) *.o *~ *.ps core *.trace

=== debian/tmp-util/usr/share/doc/dcl-util/demo/grph2/uupack/Makefile ===
#
#       Makefile for uupack (demo)
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uupack
LIBSRCS		= uupk01.f uupk02.f uupk03.f uupk04.f uupk05.f \
		  uupk06.f uupk07.f
LIBDEMO		= uupk01   uupk02   uupk03   uupk04   uupk05   \
		  uupk06   uupk07  


all: $(LIBDEMO)

clean:
	$(RM) $(LIBDEMO) *.o *~ *.ps core *.trace

=== debian/tmp-util/usr/share/doc/dcl-util/demo/math1/ifalib/Makefile ===
#
#       Makefile for ifalib (demo)
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ifalib
LIBSRCS		= ifal01.f
LIBDEMO 	= ifal01


all: $(LIBDEMO)

clean:
	$(RM) $(LIBDEMO) *.o *~ core *.trace

=== debian/tmp-util/usr/share/doc/dcl-util/demo/misc1/chklib/Makefile ===
#
#       Makefile for chklib (demo)
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= chklib
LIBSRCS		= chkl01.f
LIBDEMO 	= chkl01


all: $(LIBDEMO)

clean:
	$(RM) $(LIBDEMO) *.o *~ core *.trace

=== debian/changelog ===
dcl (5.3-1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 18 Nov 2004 20:55:09 +0900

dcl (5.2-7sarge-pre1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 23 Jun 2004 19:06:05 +0900

dcl (5.2-8) unstable; urgency=low

  * Intel Fortran Compiler ver.8 (8.0.039) support. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Sun, 21 Mar 2004 22:26:06 +0900

dcl (5.2-7) unstable; urgency=low

  * Intel Fortran Compiler ver.8 support.
	
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu,  8 Jan 2004 15:04:09 +0900	
  * Fujitsu Fortran Compiler ver.4 support.  	

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 14 Jan 2004 20:39:45 +0900
	
  * Intel Fortran Compiler ver.7 support.
  * Fujitsu Fortran Compiler ver.3 support  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Tue,  7 Jan 2003 15:35:34 +0900

dcl (5.2-6) unstable; urgency=low

  * dvlop/pslib/dclpsrmcm bug fixed.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  7 Jun 2002 19:24:34 +0900

dcl (5.2-5) unstable; urgency=low

  * Intel Fortran Compiler ver.6 support. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun,  5 May 2002 02:56:00 +0900

dcl (5.2-4) unstable; urgency=low

  * Utilities, demo programs are separated as a different package.
  * Dependency of ffc(Fujitsu Fortran compiler) removed.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed, 21 Nov 2001 12:25:53 +0900

dcl (5.2-3) unstable; urgency=low

  * Names of the binaries changed to treat different compilers.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 19 Nov 2001 14:55:47 +0900

dcl (5.2-2) unstable; urgency=low

  * Include dvlop/pslib to the installed binary package.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 19 Nov 2001 14:55:41 +0900

dcl (5.2-1) unstable; urgency=low

  * Initial Release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed,  1 Nov 2000 16:18:59 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dcl
Section: math
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: dcl-ffc5
Architecture: any
Depends: ${shlibs:Depends}
Suggests: ffc (=5.0) | ffcpara (=5.0)
Description: GFD-DENNOU Club Library (DCL) compiled by Fujitsu Fortran & C Package ver.5.
 DCL is a package of graphic and mathematical libraries based on Fortran 77 developed by GFD-Dennou Club (http://www.gfd-dennou.org/).
 It contains following libraries.
 * visualization libraries: wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries (FFT, Ordinary differential equation solver, Spherical harmonics analysis etc.)
 Original source codes can be downloaded from http://www.gfd-dennou.org/arch/dcl/.  

Package: dcl-util
Architecture: all
Suggests: dcl-ffc5, dcl-g77, dcl-ifc6, dcl-ifc7, dcl-ifc8
Description: Utilities for GFD-DENNOU Club Library (DCL).
 Dvlop and demo programs and utilities for handling ps files produced by DCL.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

### Fujitsu Fortran & C compiler #######################################
#
#EXT=ffc4
#FC=frt
#CC=fcc

### Intel Fortran compiler##############################################
### for ver.6, ver.7, and ver. 7.1
#EXT=ifc7
#FC=ifc
#CC=gcc
#FFLAGS=-O -Vaxlib -Qoption,ld,-Bdynamic
#
### for ver8 
#EXT=ifc8
#FC=ifort
#CC=gcc
#FFLAGS=-O -Qoption,ld,-Bdynamic

### GNU Fortran 77 compiler#############################################
#
EXT=g77
FC=g77
CC=gcc

### Package and prefix name ############################################
# 
PACKAGE=dcl-$(EXT)
UTILPACKAGE=dcl-util
PREFIXLIB=dcl-5.3-$(EXT)

########################################################################


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	(export CC=$(CC) ; export FC=$(FC) ; export FFLAGS='$(FFLAGS)' ; ./configure --prefix=/usr/lib/$(PREFIXLIB))
	

build-arch:  config.status build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	$(MAKE)

	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/dcl.sgml > dcl.1

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp 
	rm -f build-indep-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/lib/$(PREFIXLIB)/bin usr/lib/$(PREFIXLIB)/lib

	# Add here commands to install the package into debian/dcl.
	$(MAKE) install prefix=$(CURDIR)/debian/dcl-$(EXT)/usr/lib/$(PREFIXLIB)

	dh_movefiles --sourcedir=debian/dcl-$(EXT)

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_installdirs -p$(UTILPACKAGE) -Pdebian/dcl-util usr/bin
	(cd dvlop/pslib && $(MAKE) install prefix=../../debian/dcl-util/usr)
	dh_installdocs -p$(UTILPACKAGE) -Pdebian/dcl-util demo dvlop
	dh_installdeb -p$(UTILPACKAGE) -Pdebian/dcl-util
	dpkg-gencontrol -isp -p$(UTILPACKAGE) -Pdebian/dcl-util
	chown -R root.root debian/dcl-util
	chmod -R go=rX debian/dcl-util
	dpkg --build debian/dcl-util ..

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	dh_link usr/lib/$(PREFIXLIB)/bin/dclfrt  usr/bin/dclfrt.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclcc   usr/bin/dclcc.$(EXT)   \
                usr/lib/$(PREFIXLIB)/bin/dcldate usr/bin/dcldate.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclexec usr/bin/dclexec.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dcltone usr/bin/dcltone.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclver  usr/bin/dclver.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclclr  usr/bin/dclclr.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dcldbs  usr/bin/dcldbs.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclfont usr/bin/dclfont.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclpara usr/bin/dclpara.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dcltrf  usr/bin/dcltrf.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/repsl   usr/bin/repsl.$(EXT)
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep 
.PHONY: build clean binary-indep binary-arch binary install

## dcl 5.3-2

=== demo/rakuraku/quick/Makefile ===
#
#       Makefile for quick (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= quick
LIBSRCS		= quick1.f     quick2.f     quick3.f     quick4.f     \
		  quick5.f
LIBDEMO		= quick1       quick2       quick3       quick4       \
		  quick5
LIBEXEC		= quick1$(EXT) quick2$(EXT) quick3$(EXT) quick4$(EXT) \
		  quick5$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== src/env2/dclcmap/Makefile ===
#
#       Makefile for dcltrf
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

SRCNAME = dclcmap.f
BINNAME = dclcmap$(EXT)

all: $(LBINDIR)/$(BINNAME)

$(LBINDIR)/$(BINNAME): $(BINNAME)
	@echo "Installing executable program $(BINNAME) into local bin directory"
	@$(CP) $(BINNAME) $(LBINDIR)/$(BINNAME)

$(BINNAME): $(SRCNAME)
	$(FC) $(FFLAGS) -o $(BINNAME) $(SRCNAME) -L$(LLIBDIR) $(LDFLAGS) $(LDLIBS)

clean:
	$(RM) *.o *~ $(BINNAME) core

=== src/env2/dclexec/Makefile ===
#
#       Makefile for dclexec
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

SRCNAME = dclexec.c
BINNAME = dclexec$(EXT)

all: $(LBINDIR)/$(BINNAME)

$(LBINDIR)/$(BINNAME): $(BINNAME)
	@echo "Installing executable program $(BINNAME) into local bin directory"
	@$(CP) $(BINNAME) $(LBINDIR)/$(BINNAME)

$(BINNAME): $(SRCNAME)
	$(CC) $(FFLAGS) -o $(BINNAME) $(SRCNAME) -L$(LLIBDIR) $(LDFLAGS) $(LDLIBS)

clean:
	$(RM) *.o *~ $(BINNAME) core

=== src/grph1/slpack/Makefile ===
#
#       Makefile for slpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= slpack
LIBFSRCS	= slinit.f sldiv.f  slmgn.f  slrat.f  slqrct.f slpage.f \
		  slpcnr.f slsttl.f sltlcv.f slpvpr.f slpwwr.f slpwvr.f \
		  slpvpc.f slpwwc.f slpwvc.f slzttl.f sldivz.f slmgnz.f \
		  slratz.f slqsiz.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= slinit.o sldiv.o  slmgn.o  slrat.o  slqrct.o slpage.o \
		  slpcnr.o slsttl.o sltlcv.o slpvpr.o slpwwr.o slpwvr.o \
		  slpvpc.o slpwwc.o slpwvc.o slzttl.o sldivz.o slmgnz.o \
		  slratz.o slqsiz.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl (5.3-2) unstable; urgency=low

  *  xlibs-dev is added as Depends package.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 22 Mar 2005 16:25:58 +0900

=== debian/control ===
Source: dcl
Section: math
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: dcl-ffc4
Architecture: any
Depends: ${shlibs:Depends}, xlibs-dev (>=4.3.0)
Build-Depends: libgtk2.0-0, libgtk2.0-dev
Suggests: ffc (=4.0) | ffcpara (=4.0)
Description: GFD-DENNOU Club Library (DCL) compiled by Fujitsu Fortran & C Package ver.4.
 DCL is a package of graphic and mathematical libraries based on Fortran 77 developed by GFD-Dennou Club (http://www.gfd-dennou.org/).
 It contains following libraries.
 * visualization libraries: wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries (FFT, Ordinary differential equation solver, Spherical harmonics analysis etc.)
 Original source codes can be downloaded from http://www.gfd-dennou.org/arch/dcl/.  

Package: dcl-util
Architecture: all
Suggests: dcl-ffc4, dcl-g77, dcl-ifc6, dcl-ifc7, dcl-ifc8
Description: Utilities for GFD-DENNOU Club Library (DCL).
 Dvlop and demo programs and utilities for handling ps files produced by DCL.

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,9 @@
 
 ### Fujitsu Fortran & C compiler #######################################
 #
-#EXT=ffc4
-#FC=frt
-#CC=fcc
+EXT=ffc4
+FC=frt
+CC=fcc
 
 ### Intel Fortran compiler##############################################
 ### for ver.6, ver.7, and ver. 7.1
@@ -33,9 +33,9 @@
 
 ### GNU Fortran 77 compiler#############################################
 #
-EXT=g77
-FC=g77
-CC=gcc
+#EXT=g77
+#FC=g77
+#CC=gcc
 
 ### Package and prefix name ############################################
 #
